• Share
  • Email
  • Embed
  • Like
  • Save
  • Private Content
gemdiff
 

gemdiff

on

  • 77 views

Find source repositories for ruby gems. Open, compare, and update outdated gem versions

Find source repositories for ruby gems. Open, compare, and update outdated gem versions

Statistics

Views

Total Views
77
Views on SlideShare
77
Embed Views
0

Actions

Likes
1
Downloads
1
Comments
0

0 Embeds 0

No embeds

Accessibility

Categories

Upload Details

Uploaded via as Adobe PDF

Usage Rights

© All Rights Reserved

Report content

Flagged as inappropriate Flag as inappropriate
Flag as inappropriate

Select your reason for flagging this presentation as inappropriate.

Cancel
  • Full Name Full Name Comment goes here.
    Are you sure you want to
    Your message goes here
    Processing…
Post Comment
Edit your comment

    gemdiff gemdiff Presentation Transcript

    • gemdiff Tee
    •   Parham
    • +
    • $ bundle outdated Outdated gems included in the bundle: * rails (4.1.0 > 4.0.4) Gemfile specifies "~> 4.0.0" * sass-rails (4.0.3 > 4.0.2) * actionmailer (4.1.0 > 4.0.4) * actionpack (4.1.0 > 4.0.4) * activemodel (4.1.0 > 4.0.4) * activerecord (4.1.0 > 4.0.4) * activesupport (4.1.0 > 4.0.4) * arel (5.0.1.20140414130214 > 4.0.2) * builder (3.2.2 > 3.1.4) * hike (2.0.0 > 1.2.3) * mime-types (2.2 > 1.25.1) * minitest (5.3.3 > 4.7.5) * railties (4.1.0 > 4.0.4) * sass (3.3.5 > 3.2.18) * sprockets (2.12.0 > 2.11.0) * sprockets-rails (2.1.3 > 2.0.1) * thread_safe (0.3.3 > 0.3.1) * tilt (2.0.1 > 1.4.1) * treetop (1.5.3 > 1.4.15) * tzinfo (1.1.0 > 0.3.39)
    • $ bundle outdated --strict Outdated gems included in the bundle: * sass-rails (4.0.3 > 4.0.2) * sass (3.2.19 > 3.2.18) * thread_safe (0.3.3 > 0.3.1)
    • what changed? * sass (3.2.19 > 3.2.18)
    • gemdiff open sass
    • what
    •   now? CHANGELOG README neither?
    • gemdiff compare sass 3.2.18 3.2.19
    • $ gemdiff Outdated gems included in the bundle: * sass-rails (4.0.3 > 4.0.2) * sass (3.2.19 > 3.2.18) * thread_safe (0.3.3 > 0.3.1) sass-rails: 4.0.3 > 4.0.2 Open? (y to open, x to exit, else skip) sass: 3.2.19 > 3.2.18 Open? (y to open, x to exit, else skip) y thread_safe: 0.3.3 > 0.3.1 Open? (y to open, x to exit, else skip) y
    • $ gemdiff update thread_safeUpdating thread_safe... diff --git a/Gemfile.lock b/Gemfile.lock index e308ad3..9b4ca17 100644 --- a/Gemfile.lock +++ b/Gemfile.lock @@ -26,7 +26,6 @@ GEM thread_safe (~> 0.1) tzinfo (~> 0.3.37) arel (4.0.2) - atomic (1.1.16) builder (3.1.4) byebug (2.7.0) columnize (~> 0.3) @@ -93,8 +92,7 @@ GEM activesupport (>= 3.0) sprockets (~> 2.8) thor (0.19.1) - thread_safe (0.3.1) - atomic (>= 1.1.7, < 2) + thread_safe (0.3.3) tilt (1.4.1) treetop (1.4.15) polyglot Commit? (c to commit, r to reset, else do nothing) c
    • commit 18e5703bd23952f8740a5d61123b5550c6794c19 Author: Tee Parham <tee@neighborland.com> Date: Tue Apr 15 15:27:12 2014 -0600 Update thread_safe to 0.3.3 diff --git a/Gemfile.lock b/Gemfile.lock index e308ad3..9b4ca17 100644 --- a/Gemfile.lock +++ b/Gemfile.lock @@ -26,7 +26,6 @@ GEM thread_safe (~> 0.1) tzinfo (~> 0.3.37) arel (4.0.2) - atomic (1.1.16) builder (3.1.4) byebug (2.7.0) columnize (~> 0.3) @@ -93,8 +92,7 @@ GEM activesupport (>= 3.0) sprockets (~> 2.8) thor (0.19.1) - thread_safe (0.3.1) - atomic (>= 1.1.7, < 2) + thread_safe (0.3.3) tilt (1.4.1) treetop (1.4.15) polyglot
    • gemdiff star
    •   it!
    • gem install gemdiff gemdiff open gemdiff